RelayAPI

Check character counts against platform limits

POST
/v1/tools/validate/post-length
AuthorizationBearer <token>

API key (rlay_live_* or rlay_test_*)

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

content*string

Post content to check

Response Body

application/json

application/json

curl -X POST "https://api.relayapi.dev/v1/tools/validate/post-length" \  -H "Content-Type: application/json" \  -d '{    "content": "string"  }'
{
  "platforms": {
    "twitter": {
      "count": 0,
      "limit": 0,
      "within_limit": true
    },
    "instagram": {
      "count": 0,
      "limit": 0,
      "within_limit": true
    },
    "facebook": {
      "count": 0,
      "limit": 0,
      "within_limit": true
    },
    "linkedin": {
      "count": 0,
      "limit": 0,
      "within_limit": true
    },
    "tiktok": {
      "count": 0,
      "limit": 0,
      "within_limit": true
    },
    "youtube": {
      "count": 0,
      "limit": 0,
      "within_limit": true
    },
    "pinterest": {
      "count": 0,
      "limit": 0,
      "within_limit": true
    },
    "reddit": {
      "count": 0,
      "limit": 0,
      "within_limit": true
    },
    "bluesky": {
      "count": 0,
      "limit": 0,
      "within_limit": true
    },
    "threads": {
      "count": 0,
      "limit": 0,
      "within_limit": true
    },
    "telegram": {
      "count": 0,
      "limit": 0,
      "within_limit": true
    },
    "snapchat": {
      "count": 0,
      "limit": 0,
      "within_limit": true
    },
    "googlebusiness": {
      "count": 0,
      "limit": 0,
      "within_limit": true
    },
    "whatsapp": {
      "count": 0,
      "limit": 0,
      "within_limit": true
    },
    "mastodon": {
      "count": 0,
      "limit": 0,
      "within_limit": true
    },
    "discord": {
      "count": 0,
      "limit": 0,
      "within_limit": true
    },
    "sms": {
      "count": 0,
      "limit": 0,
      "within_limit": true
    },
    "beehiiv": {
      "count": 0,
      "limit": 0,
      "within_limit": true
    },
    "convertkit": {
      "count": 0,
      "limit": 0,
      "within_limit": true
    },
    "mailchimp": {
      "count": 0,
      "limit": 0,
      "within_limit": true
    },
    "listmonk": {
      "count": 0,
      "limit": 0,
      "within_limit": true
    }
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "details": {
      "property1": null,
      "property2": null
    }
  }
}

Found something wrong? Help us improve this page.

Submit an Issue
Requires a GitHub account.View repo